// file      : CCF/IDL3/SemanticGraph/Elements.cpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : Elements.cpp,v 1.3 2006/04/21 16:29:18 wotte Exp

#include "CCF/IDL3/SemanticGraph/Elements.hpp"

namespace CCF
{
  namespace IDL3
  {
    namespace SemanticGraph
    {
      using Introspection::TypeInfo;
      using Introspection::Access;

      namespace
      {
        TypeInfo
        manages_init_ ()
        {
          TypeInfo ti (typeid (Manages));
          ti.add_base (Access::PUBLIC, true, Edge::static_type_info ());
          return ti;
        }

        TypeInfo manages_ (manages_init_ ());
      }

      TypeInfo const& Manages::
      static_type_info () { return manages_; }

    }
  }
}
